For the complete documentation index, see llms.txt. This page is also available as Markdown.

Planned

Beta: Create a planned slot

post

Create a new planned slot for a specific site. The slot will be created in planned state. The custom fields (e.g., custom_field_1, custom_field_2) depend on the custom fields defined in the zone related to the created slot.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

Body
start_timestring · date-timeRequired

Start time of the slot in ISO 8601 format

end_timestring · date-timeRequired

End time of the slot in ISO 8601 format

notestringOptional

Optional note for the slot

Responses
201

Slot created successfully

application/json
uidstringRequired

Unique identifier for the slot

start_timestring · date-timeRequired

Start time of the slot in ISO 8601 format

end_timestring · date-timeRequired

End time of the slot in ISO 8601 format

statestring · enumRequired

Current state of the slot

Possible values:
notestringOptional

Optional note for the slot

post/flow/sites/{site-slug}/slots/planned/
POST /api/v4/flow/sites/{site-slug}/slots/planned/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 256

{
  "zone": {
    "uid": "text"
  },
  "company": {
    "remote_id": "CARRIER_123",
    "pk": 456
  },
  "start_time": "2026-01-01T00:00:00.000Z",
  "end_time": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "fields": {
    "references": [
      "value1",
      "value2"
    ],
    "custom_field_1": "value",
    "custom_field_2": "value"
  }
}
{
  "uid": "text",
  "zone": {
    "uid": "text",
    "name": "text"
  },
  "company": {
    "pk": 456,
    "remote_id": "CARRIER_123",
    "name": "Transporteur A"
  },
  "start_time": "2026-01-01T00:00:00.000Z",
  "end_time": "2026-01-01T00:00:00.000Z",
  "state": "draft",
  "note": "text",
  "fields": {
    "references": [
      "value1",
      "value2"
    ],
    "custom_field_1": "value",
    "custom_field_2": "value"
  }
}

Last updated

Was this helpful?